コンテンツへスキップ

V1.0

髪のうねり分析 API では、3 つの角度(正面、右、左)の入力を使用して、画像内の髪のうねりを検出できます。

髪のうねり分析タスクを実行します。

リクエスト

タスクステータスの確認については、ポーリングガイドを参照してください。

セキュリティ
BearerAuthenticationV2
ボディapplication/json必須
Any of:
src_file_urlsArray of strings, = 3 items必須

ファイルアップロード API からのファイル URL。ソース画像のシーケンスに対するファイル ID は 'frontFace'、'rightFace'、'leftFace' です。'src_file_urls' または 'src_file_ids' のいずれかを指定する必要があります。

例:
[ "https://example.com/selfie.jpg", "https://example.com/selfie.jpg", "https://example.com/selfie.jpg" ]
curl -i -X POST \
  https://yce-api-01.makeupar.com/s2s/v2.0/task/hair-frizziness-detection \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "src_file_urls": [
      "https://example.com/selfie.jpg",
      "https://example.com/selfie.jpg",
      "https://example.com/selfie.jpg"
    ]
  }'

レスポンス

タスクの実行に成功しました

ボディapplication/json
statusinteger

レスポンスステータス

例:200
dataobject
レスポンス
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }